Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161894 - xterm SIGSEGV after resize
Summary: xterm SIGSEGV after resize
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xterm
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-06-28 09:00 UTC by Karel Zak
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-13 00:57:25 UTC


Attachments (Terms of Use)

Description Karel Zak 2005-06-28 09:00:06 UTC
The xterm (xterm-200-6) crash when resize windows by mouse to size less than
2x2. It doesn't happen with FC3 xterm.

(gdb) run
Starting program: /home/work/rh/cvs/xterm/FC-4/xterm-200/xterm

[1]+  Stopped                 gdb ./xterm
petra:/home/work/rh/cvs/xterm/FC-4/xterm-200$ fg
gdb ./xterm
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xb47000
Detaching after fork from child process 16239.
Detaching after fork from child process 16240.

Program received signal SIGSEGV, Segmentation fault.
ScreenWrite (screen=0x9599c04, str=0x9635d48
"e;32mFC-4/xterrk/rh/cvs/xterm/FC-4/xterm-200", str2=0x0, flags=1024,
    cur_fg_bg=921, length=1) at ./screen.c:403
403         starcol1 = *chars;
(gdb) bt
#0  ScreenWrite (screen=0x9599c04, str=0x9635d48
"e;32mFC-4/xterrk/rh/cvs/xterm/FC-4/xterm-200", str2=0x0, flags=1024,
    cur_fg_bg=921, length=1) at ./screen.c:403
#1  0x080512af in dotext (screen=0x9599c04, charset=66, buf=0x96362b0, len=44)
at ./charproc.c:3448
#2  0x080564b7 in doparsing (c=27, sp=0x8087720) at ./charproc.c:1334
#3  0x08057bb5 in VTparse () at ./charproc.c:3163
#4  0x08057de8 in VTRun () at ./charproc.c:4618
#5  0x08062a6a in main (argc=0, argv=0xbff48828) at ./main.c:2285
(gdb)

Comment 1 Thomas E. Dickey 2005-07-07 18:30:36 UTC
see http://invisible-island.net/xterm/xterm.log.html#xterm_201

add a limit check for scrolling margins in a one-line screen, overlooked in 
fixes for patch #198 (Debian #297430).

Comment 3 Mike A. Harris 2005-09-24 10:43:33 UTC
I'll be updating xterm in Fedora devel to the latest version in the
near future, which will fix this bug in rawhide.

We'll also be releasing an update for FC3/FC4 soon of xterm-200.
If someone has an isolated unified diff that fixes this issue
available somewhere, I'd be happy to include it in the upcoming
FC3/FC4 updates as well.

I'll update the report again once the new xterm hits rawhide.

Thanks guys.

Comment 4 Thomas E. Dickey 2005-09-24 10:46:53 UTC
I don't recall this as a large change, will check as I
review this (perhaps tomorrow), to see.

Comment 5 Jason Vas Dias 2005-10-13 00:57:25 UTC
This is fixed with xterm-2.0.5-1 in rawhide-20051013 .
Once this version has been tested in rawhide for a week or so, I'll produce
FC-4 / FC-3 versions.

Comment 6 Fedora Update System 2005-11-07 19:33:54 UTC
From User-Agent: XML-RPC

xterm-205-1.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 7 Fedora Update System 2005-11-14 18:04:43 UTC
From User-Agent: XML-RPC

xterm-205-1.FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.